Name:			k9copy
Version:		2.3.5
%define distsuffix	plf
Release:		%mkrel 1

Summary:	K9copy is a Video DVD backup tool 
License:	GPLv2+
Group:		Video
URL:		http://k9copy.sourceforge.net/
Source0:	http://downloads.sourceforge.net/k9copy/k9copy-%{version}-Source.tar.gz

BuildRequires:	kdebase4-workspace-devel
BuildRequires:	phonon-devel
BuildRequires:	libdvdread-devel
BuildRequires:	hal-devel
BuildRequires:	libdbus-qt-1-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libxine-devel
BuildRequires:	libmpeg2dec-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

#dvd9 to dvd5
Requires:	dvdauthor
#default burning tools
#growisofs, (cdrkit-)genisoimage
Requires:	dvd+rw-tools
#wodim
Requires:	cdrkit
#optional for preview
Suggests:	mplayer
#Suggests:	xine-ui
#Suggests:	phonon
#mpeg4 encoding
Suggests:	mencoder
#or (needed for matroska ?)
Suggests:	ffmpeg
Suggests:	twolame
#or (but a bit old)
#Suggests:	toolame
#optional burning with k3b
%if %mdkversion < 200900
Suggests:	kde4-k3b
%else
Suggests:	k3b
%endif

Provides:	kde4-k9copy = %{version}
Obsoletes:	kde4-k9copy < %{version}

%description
k9copy is using various external programs like vamps and mencoder to 
make backups of Video DVDs onto an other DVD or MPEG4 files.

This version of k9copy is for use with the KDE 4 environment.

This package is in PLF, as DVD ripping might break local laws.

%prep
%setup -q -n k9copy-%{version}-Source

%if %mdkversion >= 200900
#fix path to ffpmeg headers
perl -pi -e "s|ffmpeg/avc|libavcodec/avc|" CMakeLists.txt src/import/k9avidecode.cpp
perl -pi -e "s|ffmpeg/avf|libavformat/avf|" src/import/k9avidecode.h
%endif

# fix rights on source for the debug package
find . -name "*\.[ch]*" -exec chmod 644 {} +

%build
#cmake_kde4 ..
%cmake ..
%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

mkdir -p %{buildroot}%{_kde_datadir}/applications/
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="Qt" \
 --add-category="Video" \
 --add-category="X-MandrivaLinux-Multimedia-Video" \
 --remove-key="MimeTypes" \
 --dir %{buildroot}%{_kde_datadir}/applications/kde4/ \
 %{buildroot}%{_kde_datadir}/applications/kde4/*

cd ..
%find_lang k9copy  --with-html

%if %mdkversion < 200900
%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f k9copy.lang
%defattr(-,root,root)
%doc README
%{_kde_bindir}/k9*
%{_kde_datadir}/applications/kde4/k9copy*.desktop
%{_kde_appsdir}/k9copy
%{_kde_appsdir}/solid/actions/k9copy*.desktop
%{_kde_iconsdir}/hicolor/*/apps/k9copy.png

%changelog
* Sat Apr 10 2010 Guillaume Bedot <littletux@zarb.org> 2.3.5-1plf2010.1
- release 2.3.5

* Tue Sep 15 2009 Guillaume Bedot <littletux@zarb.org> 2.3.3-1plf2010.0
- release 2.3.3

* Wed Jun  3 2009 Guillaume Bedot <littletux@zarb.org> 2.3.2-1plf2010.0
- release 2.3.2
- fix buildrequires
- fix description
- patch0 for new gcc
- restored old kde4-k9copy changelog

* Mon Apr 27 2009 Guillaume Bedot <littletux@zarb.org> 2.3.1-1plf2009.1
- Renamed to k9copy (should fix plf bug #237)
- New release 2.3.1 (fixes plf bug #238)
- Updated buildrequires, requires and suggests

* Thu Oct 30 2008 Guillaume Bedot <littletux@zarb.org> 2.1.0-1plf2009.1
- fix k3b suggests
- use kde4 macros
- icon cache file triggers
- trying to comply to new mdv spec policy proposal

* Fri Jun  6 2008 Guillaume Bedot <littletux@zarb.org> 2.0.0-1plf2009.0
- 2.0.0
- fixed path to ffmpeg headers and desktop file for cooker/2009.0
- conflicts with old kde3's k9copy

* Mon Feb  4 2008 Guillaume Bedot <littletux@zarb.org> 1.9.8-1plf2008.1
- First PLF package
